%define	mad_version	0.14.2b

Summary: A command-line MPEG audio player.
Name: mpg321
Version: 0.2.3
Release: fr1
Group: Applications/Multimedia
URL: http://mpg321.sourceforge.net/
#URL(mad): http://www.mars.org/home/rob/proj/mpeg/
Source: http://prdownloads.sourceforge.net/mpg321/mpg321-%{version}.tar.bz2
Source1: mad-%{mad_version}.tar.gz
Source2: mp3license
Copyright: GPL
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: libao-devel
Obsoletes: mpg123

%description
mpg321 is a GPL clone of the popular mpg123 command-line mp3 player.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("MP3" files). For full CD
quality playback (44 kHz, 16 bit, stereo), a Pentium CPU is
required. Mono and/or reduced quality playback (22 kHz or 11 kHz) is
possible on 486 CPUs.

For information on the MP3 License, please visit the MPEG website at
http://www.mpeg.org/.

%prep
%setup -q -a 1

%build
pushd mad-%{mad_version}/libmad
	%configure
	make
popd

export LDFLAGS="-L./mad-%{mad_version}/libmad/.libs" 
CFLAGS="$RPM_OPT_FLAGS -I./mad-%{mad_version}/libmad" %configure --with-ao
make

%install
rm -rf %{buildroot}
%makeinstall

mkdir libmad
cp mad-%{mad_version}/{COPYING,COPYRIGHT,CREDITS,README,TODO} \
   libmad
cp %{SOURCE2} .
   
%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc AUTHORS BUGS ChangeLog COPYING HACKING README* THANKS TODO
%doc mp3license libmad
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu Dec  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.3.

* Mon Nov 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and update to 0.2.2 and latest mad release.

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 0.1.5
- fix build with new libao

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- initial build

